<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><h1>EventManager Service History</h1></center>
<PRE>
-------------------------------------------------------------------------------
History Log for EventManager Service

  Legend:
   - Fixes
   + Features           
   = Internal changes
   * Changes required to migrate from one release to another
   
-------------------------------------------------------------------------------

Version 3.0.1: 06/27/2005

  + Added a LIST SETTINGS request to list the operational settings for the
    service (Feature #989754)
  - Changed to use "local" instead of the machine host name for the default
    Event service machine for performance reasons (Bug #1208721)
    
-------------------------------------------------------------------------------

Version 3.0.0: 04/21/2005

  - Improved error message provided for RC 25 (Access Denied) for all requests
    (Bug #1054858)
  = Removed the zxJDBC code from our distribution of Jython (Bug #1118221)
  - Changed to use STAFUtil's common resolve variable methods (Bug #1151440)
  - Changed to require trust level 4 for a UNREGISTER request (Bug #1156340)
  - Changed license from GPL to CPL for all source code (Bug #1149491)  
   
-------------------------------------------------------------------------------

Version 3.0.0 Beta 7: 12/13/2004

  = Recompiled
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 6: 11/19/2004

  - Updated EventManager to free process handles when complete (Bug #988247)

-------------------------------------------------------------------------------

Version 3.0.0 Beta 5a: 11/09/2004

  + Changed to load STAFMarshalling Python module needed by STAX
    (Feature #740150)

-------------------------------------------------------------------------------

Version 3.0.0 Beta 5: 10/30/2004

  + Changed to return STAFResult from init/term methods (Feature #584049)
  + Updated to handle new queue type for queued messages (Feature #1044711)
  + Updated to handle new marshalled messages in queued messages and to create
    a marshalled map class for its LIST result and added a LONG option to the
    LIST request (Feature #740150)
  + Changed to use new STAFServiceInterfaceLevel30 (Feature #550251)
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 4: 09/29/2004

  - Updated User's Guide to reference the EM instead of the STAX service
    machine and made the install/configuration section clearer (Bug #989784)
  + Updated to handle new marshalled result format for a QUEUE GET request
    (Feature #740150)
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 3: 06/28/2004

  + Added un-register of the service handle during term() (Feature #966079)
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 2: 04/29/2004

  + Updated to use STAFServiceInterfaceLevel5, only supported in STAF V3.0.0,
    and to use new syntax for the VAR service (Feature #464843) 
  + Updated to use the new info.writeLocation field so that it now writes the
    eventman.ser file to directory &lt;info.writeLocation>/service/&lt;serviceName>
    instead of writing the file to {STAF/Config/STAFRoot}/data/eventmanagerdata
    (Feature #592875)
    
-------------------------------------------------------------------------------

Version 1.2.2: 03/13/2004

  - Fixed bug where serialized registration data from EventManager versions
    prior to 1.2.0 was not being read in during service initialization
    (Bug #915200)

-------------------------------------------------------------------------------

Version 1.2.1: 02/27/2004

  + Instrumented the EventManager service's handling of LIST requests to
    record diagnostics data to help prepare for the migration to STAF V3.0.
    The EventManager service requires STAF V2.6.0 or later as a result of this
    change. (Feature #853620)  

-------------------------------------------------------------------------------

Version 1.2.0: 02/02/2004

  + Added logging to the EventManager service (Feature #838763)

-------------------------------------------------------------------------------

Version 1.1.8: 11/19/2003

  - Changed to require a trust level of 5 for the REGISTER command 
    (Bug #837274)

-------------------------------------------------------------------------------

Version 1.1.7: 09/29/2003

  - Fixed problem where EventManager was not passing back the correct message
    when encountering a parsing error (Bug #814808)

-------------------------------------------------------------------------------

Previous versions included:

  + Added an eventinfo dictionary to the EventManager service (Feature #608058)
  - Display better information if the EventManager service python options 
    contain invalid python code (Bug #608078) 
  - Fixed EventManager service bug where python errors cause queue thread to
    die (Bug #607513) 

-------------------------------------------------------------------------------

Version 1.1.1: 08/12/2002

  - Made the Type and Subtype fields case-insensitive (Bug #594244) 
  
-------------------------------------------------------------------------------
</PRE>

</td>
</tr>

<!-- end of text for page -->

<?php
require "bottom.php";
?>

</body>
</html>
